Issue #14433 has been updated by k0kubun (Takashi Kokubun).

Status changed from Open to Third Party's Issue

Please quote the actual line in the library to report an issue.

Anyway, I ~~guess~~ (just guess, because we can't figure out the actual problem from your report) it looks the same as https://bugs.ruby-lang.org/issues/14023. If so, Trailblazer should fix the line.

----------------------------------------
Bug #14433: Error with Trailblazer Wrap using ruby 2.5.0
https://bugs.ruby-lang.org/issues/14433#change-70130

* Author: Unroot (Vladisalv Volkov)
* Status: Third Party's Issue
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 2.5.0
* Backport: 2.3: UNKNOWN, 2.4: UNKNOWN, 2.5: UNKNOWN
----------------------------------------
I updated ruby to 2.5.0 and got such error when start server:
syntax error, unexpected '{', expecting keyword_end (SyntaxError) ....transaction { block.call } } {.
I commented Wrap block and error disappered. I think it's because of changes in ruby blocks but I'm not sure.



-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>